import {formatTime} from "../utils";
const otherGSH = (Vue)=>{
    //电话格式化-----------------------------------------------------------

    //样式一 188****3186
    Vue.filter("phoneOne", function (n) {
        let nToString = n.toString()//先转换为字符串
        return nToString.replace(/([0-9]{3})(.*)([0-9]{4})/g, "$1****$3")
    })

    //银行卡格式化-----------------------------------------------------------

    //样式一 0068 (保留后四位)
    Vue.filter("bankOne", function (n) {
        let nToString = n.toString()//先转换为字符串
        let str = nToString.substring(nToString.length - 4, nToString.length)
        return str
    })

    //样式二 **** **** **** 0068
    Vue.filter("bankTwo", function (n) {
        var nToString = n.toString()//先转换为字符串
        var str = nToString.substring(nToString.length - 4, nToString.length)
        return "**** **** **** " + str
    })

    //身份证号码格式化-----------------------------------------------------------

    //样式一 210****0560
    Vue.filter("cardOne", function (n) {
        let nToString = n.toString()//先转换为字符串
        let str = nToString.substring(3, nToString.length - 4)
        return nToString.replace(str, " **** **** ")
    })

    //姓名格式化-----------------------------------------------------------

    //样式一 只展示首字母
    Vue.filter("nameOne", function (n) {
        let str = n.toString()
        return !!str ? str[0].toUpperCase() : '无'
    })

    //状态、类型过滤器-----------------------------------------------------------

    Vue.filter("getStatusType",(value , num=[] ,str=[])=>{
        //numList数字列表,strList文字列表
        return str[num.indexOf(String(value))]
    })
}
export default otherGSH
