import {formatTime} from "../utils";
const timeGSh = (Vue)=>{
    //时间格式化-----------------------------------------------------------

    //样式一 2018-05-28 17:25:06
    Vue.filter("timeOne", (n) => {
        let date = formatTime({n: n})
        return date.year+'-'+date.month+'-'+date.day+' '+date.hours+':'+date.minute+":"+date.second
    })

    //样式二 2018-05-28 17:25
    Vue.filter("timeTwo", (n) => {
        let date = formatTime({n: n})
        return date.year+'-'+date.month+'-'+date.day+' '+date.hours+':'+date.minute
    })

    //样式三 2018-05-28
    Vue.filter("timeThree", (n) => {
        let date = formatTime({n: n})
        return date.year+'-'+date.month+'-'+date.day
    })

    //样式四 17:25:06
    Vue.filter("timeFour", (n) => {
        let date = formatTime({n: n})
        return date.hours+':'+date.minute+":"+date.second
    })

    //样式五 17:25
    Vue.filter("timeFive", (n) => {
        let date = formatTime({n: n})
        return date.hours+':'+date.minute
    })

    //样式六 25:06
    Vue.filter("timeSix", (n) => {
        let date = formatTime({n: n})
        return date.minute+":"+date.second
    })

    //样式七 (今天/昨天/前天/2018-05-28) 17:25:06
    Vue.filter("timeSeven",(n)=>{
        let date = formatTime({n: n})
        let newDate = formatTime()
        if(newDate.year==date.year&&newDate.month==date.month){
            if(date.day-newDate.day==-1){
                return "昨天"+" "+date.hours+':'+date.minute+":"+date.second
            }else if(date.day-newDate.day==-2){
                return "前天"+" "+date.hours+':'+date.minute+":"+date.second
            }else if(date.day-newDate.day==0){
                return  "今天"+" "+date.hours+':'+date.minute+":"+date.second
            }else{
                return date.year+'-'+date.month+'-'+date.day+' '+date.hours+':'+date.minute+":"+date.second
            }
        }else{
            return date.year+'-'+date.month+'-'+date.day+' '+date.hours+':'+date.minute+":"+date.second
        }
    })

    //样式八 (今天/昨天/前天/2018-05-28)
    Vue.filter("timeEight",(n)=>{
        let date = formatTime({n: n})
        let newDate = formatTime()
        if(newDate.year==date.year&&newDate.month==date.month){
            if(date.day-newDate.day==-1){
                return "昨天"
            }else if(date.day-newDate.day==-2){
                return "前天"
            }else if(date.day-newDate.day==0){
                return  "今天"
            }else{
                return date.year+'-'+date.month+'-'+date.day
            }
        }else{
            return date.year+'-'+date.month+'-'+date.day
        }
    })
}
export default timeGSh
